Logo AND Algorithmique Numérique Distribuée

Public GIT Repository
An implementation of the SHA1 hashing algorithm
[simgrid.git] / examples / java / basic / Makefile.in
1 # Makefile.in generated by automake 1.10.1 from Makefile.am.
2 # @configure_input@
3
4 # Copyright (C) 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002,
5 # 2003, 2004, 2005, 2006, 2007, 2008  Free Software Foundation, Inc.
6 # This Makefile.in is free software; the Free Software Foundation
7 # gives unlimited permission to copy and/or distribute it,
8 # with or without modifications, as long as this notice is preserved.
9
10 # This program is distributed in the hope that it will be useful,
11 # but WITHOUT ANY WARRANTY, to the extent permitted by law; without
12 # even the implied warranty of MERCHANTABILITY or FITNESS FOR A
13 # PARTICULAR PURPOSE.
14
15 @SET_MAKE@
16
17 # Copyright (c) 2004-2007. The SimGrid team. All right reserved.
18
19 # This file is part of the SimGrid project. This is free software:
20 # You can redistribute and/or modify it under the terms of the
21 # GNU LGPL (v2.1) licence.
22
23 #########################
24 # How to compile the code
25 # All this to only get a dumb javac *java... Automake still have issues with java
26
27 # Makefile chunk which allows to display the files which should be included
28 # into the distribution.
29
30 # It is intended to be included in all Makefile.am 
31 VPATH = @srcdir@
32 pkgdatadir = $(datadir)/@PACKAGE@
33 pkglibdir = $(libdir)/@PACKAGE@
34 pkgincludedir = $(includedir)/@PACKAGE@
35 am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
36 install_sh_DATA = $(install_sh) -c -m 644
37 install_sh_PROGRAM = $(install_sh) -c
38 install_sh_SCRIPT = $(install_sh) -c
39 INSTALL_HEADER = $(INSTALL_DATA)
40 transform = $(program_transform_name)
41 NORMAL_INSTALL = :
42 PRE_INSTALL = :
43 POST_INSTALL = :
44 NORMAL_UNINSTALL = :
45 PRE_UNINSTALL = :
46 POST_UNINSTALL = :
47 build_triplet = @build@
48 host_triplet = @host@
49 target_triplet = @target@
50 DIST_COMMON = $(srcdir)/../java_test.mk $(srcdir)/Makefile.am \
51         $(srcdir)/Makefile.in $(top_srcdir)/acmacro/dist-files.mk
52 subdir = examples/java/basic
53 ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
54 am__aclocal_m4_deps = $(top_srcdir)/acmacro/ac_func_snprintf.m4 \
55         $(top_srcdir)/acmacro/compiler-flags.m4 \
56         $(top_srcdir)/acmacro/context.m4 \
57         $(top_srcdir)/acmacro/fancy_configury.m4 \
58         $(top_srcdir)/acmacro/flex.m4 \
59         $(top_srcdir)/acmacro/gras_arch.m4 \
60         $(top_srcdir)/acmacro/print_null.m4 \
61         $(top_srcdir)/acmacro/va_copy.m4 $(top_srcdir)/configure.ac
62 am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
63         $(ACLOCAL_M4)
64 mkinstalldirs = $(install_sh) -d
65 CONFIG_HEADER = $(top_builddir)/src/gras_config.h
66 CONFIG_CLEAN_FILES =
67 SOURCES =
68 DIST_SOURCES =
69 CLASSPATH_ENV = CLASSPATH=$(JAVAROOT):$(srcdir)/$(JAVAROOT):$$CLASSPATH
70 DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
71 ACLOCAL = @ACLOCAL@
72 ADDR2LINE = @ADDR2LINE@
73 AMTAR = @AMTAR@
74 AM_CPPFLAGS = @AM_CPPFLAGS@
75 AR = @AR@
76 AS = @AS@
77 AUTOCONF = @AUTOCONF@
78 AUTOHEADER = @AUTOHEADER@
79 AUTOMAKE = @AUTOMAKE@
80 AWK = @AWK@
81 BASH = @BASH@
82 CC = @CC@
83 CCDEPMODE = @CCDEPMODE@
84 CFLAGS = @CFLAGS@
85 CPP = @CPP@
86 CPPFLAGS = @CPPFLAGS@
87 CXX = @CXX@
88 CXXCPP = @CXXCPP@
89 CXXDEPMODE = @CXXDEPMODE@
90 CXXFLAGS = @CXXFLAGS@
91 CYGPATH_W = @CYGPATH_W@
92 DEFS = @DEFS@
93 DEPDIR = @DEPDIR@
94 DLLTOOL = @DLLTOOL@
95 DOXYGEN = @DOXYGEN@
96 DSYMUTIL = @DSYMUTIL@
97 ECHO = @ECHO@
98 ECHO_C = @ECHO_C@
99 ECHO_N = @ECHO_N@
100 ECHO_T = @ECHO_T@
101 EGREP = @EGREP@
102 EXEEXT = @EXEEXT@
103 FLEXML = @FLEXML@
104 GCJ = @GCJ@
105 GCJDEPMODE = @GCJDEPMODE@
106 GCJFLAGS = @GCJFLAGS@
107 GRAS_DEP = @GRAS_DEP@
108 GREP = @GREP@
109 INSTALL = @INSTALL@
110 INSTALL_DATA = @INSTALL_DATA@
111 INSTALL_PROGRAM = @INSTALL_PROGRAM@
112 INSTALL_SCRIPT = @INSTALL_SCRIPT@
113 INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
114 JAR = @JAR@
115 JAVA = @JAVA@
116 JAVAC = @JAVAC@
117 LDFLAGS = @LDFLAGS@
118 LD_DYNAMIC_FLAGS = @LD_DYNAMIC_FLAGS@
119 LEX = @LEX@
120 LEXLIB = @LEXLIB@
121 LEX_OUTPUT_ROOT = @LEX_OUTPUT_ROOT@
122 LIBOBJS = @LIBOBJS@
123 LIBS = @LIBS@
124 LIBTOOL = @LIBTOOL@
125 LN_S = @LN_S@
126 LTLIBOBJS = @LTLIBOBJS@
127 MAINT = @MAINT@
128 MAKEINFO = @MAKEINFO@
129 MD5SUM = @MD5SUM@
130 MKDIR_P = @MKDIR_P@
131 NMEDIT = @NMEDIT@
132 OBJDUMP = @OBJDUMP@
133 OBJEXT = @OBJEXT@
134 PACKAGE = @PACKAGE@
135 PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@
136 PACKAGE_NAME = @PACKAGE_NAME@
137 PACKAGE_STRING = @PACKAGE_STRING@
138 PACKAGE_TARNAME = @PACKAGE_TARNAME@
139 PACKAGE_VERSION = @PACKAGE_VERSION@
140 PATH_SEPARATOR = @PATH_SEPARATOR@
141 PTH_STACK_GROWTH = @PTH_STACK_GROWTH@
142 RANLIB = @RANLIB@
143 SED = @SED@
144 SET_MAKE = @SET_MAKE@
145 SHELL = @SHELL@
146 SIMGRID_DEP = @SIMGRID_DEP@
147 SMPI_DEP = @SMPI_DEP@
148 STRIP = @STRIP@
149 VERSION = @VERSION@
150 WARNING = @WARNING@
151 abs_builddir = @abs_builddir@
152 abs_srcdir = @abs_srcdir@
153 abs_top_builddir = @abs_top_builddir@
154 abs_top_srcdir = @abs_top_srcdir@
155 ac_configure_args = @ac_configure_args@
156 ac_ct_CC = @ac_ct_CC@
157 ac_ct_CXX = @ac_ct_CXX@
158 am__include = @am__include@
159 am__leading_dot = @am__leading_dot@
160 am__quote = @am__quote@
161 am__tar = @am__tar@
162 am__untar = @am__untar@
163 bindir = @bindir@
164 build = @build@
165 build_alias = @build_alias@
166 build_cpu = @build_cpu@
167 build_id = @build_id@
168 build_os = @build_os@
169 build_vendor = @build_vendor@
170 builddir = @builddir@
171 datadir = @datadir@
172 datarootdir = @datarootdir@
173 docdir = @docdir@
174 dvidir = @dvidir@
175 exec_prefix = @exec_prefix@
176 host = @host@
177 host_alias = @host_alias@
178 host_cpu = @host_cpu@
179 host_os = @host_os@
180 host_vendor = @host_vendor@
181 htmldir = @htmldir@
182 includedir = @includedir@
183 infodir = @infodir@
184 install_sh = @install_sh@
185 libdir = @libdir@
186 libexecdir = @libexecdir@
187 localedir = @localedir@
188 localstatedir = @localstatedir@
189 mandir = @mandir@
190 mkdir_p = @mkdir_p@
191 oldincludedir = @oldincludedir@
192 pdfdir = @pdfdir@
193 prefix = @prefix@
194 program_transform_name = @program_transform_name@
195 psdir = @psdir@
196 pth_skaddr_makecontext = @pth_skaddr_makecontext@
197 pth_sksize_makecontext = @pth_sksize_makecontext@
198 sbindir = @sbindir@
199 sharedstatedir = @sharedstatedir@
200 srcdir = @srcdir@
201 sysconfdir = @sysconfdir@
202 target = @target@
203 target_alias = @target_alias@
204 target_cpu = @target_cpu@
205 target_os = @target_os@
206 target_vendor = @target_vendor@
207 top_builddir = @top_builddir@
208 top_srcdir = @top_srcdir@
209 EXTRA_DIST = basic_deployment.xml basic_platform.xml $(JAVA_SRC)
210
211 # Declare sources:
212 JAVA_SRC = Master.java Forwarder.java Slave.java BasicTest.java \
213          BasicTask.java FinalizeTask.java
214
215 JAVA_TESTS = BasicTest.class
216 TESTS = $(JAVA_TESTS)
217
218 # Declare test class
219 @HAVE_JAVA_TRUE@noinst_JAVA = $(JAVA_SRC)
220 JAVAROOT = .
221 AM_JAVACFLAGS = -classpath $(top_srcdir)/src/simgrid.jar:.
222 @HAVE_JAVA_FALSE@TESTS_ENVIRONMENT = DO_NOT_HAVE_JAVA=1 $(srcdir)/../runtest 
223
224 ##########################
225 # What to do on make check
226 # We need to rely on an external script (../runtest) because automake adds a ./ in front of the test name
227 # We need to override LD_LIBRARY_PATH so that the VM finds the libsimgrid4java.so
228 # We need to override the CLASSPATH to add simgrid.jar and current dir to the picture
229 # We also need to express dependencies manually (in each test dir)
230 # Damn...
231 @HAVE_JAVA_TRUE@TESTS_ENVIRONMENT = LD_LIBRARY_PATH="$(top_srcdir)/src/.libs:$$LD_LIBRARY_PATH" \
232 @HAVE_JAVA_TRUE@                    CLASSPATH=".:$(top_srcdir)/src/simgrid.jar:$$CLASSPATH" \
233 @HAVE_JAVA_TRUE@                    $(srcdir)/../runtest 
234
235 all: all-am
236
237 .SUFFIXES:
238 $(srcdir)/Makefile.in: @MAINTAINER_MODE_TRUE@ $(srcdir)/Makefile.am $(srcdir)/../java_test.mk $(top_srcdir)/acmacro/dist-files.mk $(am__configure_deps)
239         @for dep in $?; do \
240           case '$(am__configure_deps)' in \
241             *$$dep*) \
242               cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh \
243                 && exit 0; \
244               exit 1;; \
245           esac; \
246         done; \
247         echo ' cd $(top_srcdir) && $(AUTOMAKE) --gnu  examples/java/basic/Makefile'; \
248         cd $(top_srcdir) && \
249           $(AUTOMAKE) --gnu  examples/java/basic/Makefile
250 .PRECIOUS: Makefile
251 Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
252         @case '$?' in \
253           *config.status*) \
254             cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh;; \
255           *) \
256             echo ' cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe)'; \
257             cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe);; \
258         esac;
259
260 $(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
261         cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
262
263 $(top_srcdir)/configure: @MAINTAINER_MODE_TRUE@ $(am__configure_deps)
264         cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
265 $(ACLOCAL_M4): @MAINTAINER_MODE_TRUE@ $(am__aclocal_m4_deps)
266         cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
267
268 mostlyclean-libtool:
269         -rm -f *.lo
270
271 clean-libtool:
272         -rm -rf .libs _libs
273
274 classnoinst.stamp: $(noinst_JAVA)
275         @list1='$?'; list2=; if test -n "$$list1"; then \
276           for p in $$list1; do \
277             if test -f $$p; then d=; else d="$(srcdir)/"; fi; \
278             list2="$$list2 $$d$$p"; \
279           done; \
280           echo '$(CLASSPATH_ENV) $(JAVAC) -d $(JAVAROOT) $(AM_JAVACFLAGS) $(JAVACFLAGS) '"$$list2"; \
281           $(CLASSPATH_ENV) $(JAVAC) -d $(JAVAROOT) $(AM_JAVACFLAGS) $(JAVACFLAGS) $$list2; \
282         else :; fi
283         echo timestamp > classnoinst.stamp
284
285 clean-noinstJAVA:
286         -rm -f *.class classnoinst.stamp
287 tags: TAGS
288 TAGS:
289
290 ctags: CTAGS
291 CTAGS:
292
293
294 check-TESTS: $(TESTS)
295         @failed=0; all=0; xfail=0; xpass=0; skip=0; ws='[        ]'; \
296         srcdir=$(srcdir); export srcdir; \
297         list=' $(TESTS) '; \
298         if test -n "$$list"; then \
299           for tst in $$list; do \
300             if test -f ./$$tst; then dir=./; \
301             elif test -f $$tst; then dir=; \
302             else dir="$(srcdir)/"; fi; \
303             if $(TESTS_ENVIRONMENT) $${dir}$$tst; then \
304               all=`expr $$all + 1`; \
305               case " $(XFAIL_TESTS) " in \
306               *$$ws$$tst$$ws*) \
307                 xpass=`expr $$xpass + 1`; \
308                 failed=`expr $$failed + 1`; \
309                 echo "XPASS: $$tst"; \
310               ;; \
311               *) \
312                 echo "PASS: $$tst"; \
313               ;; \
314               esac; \
315             elif test $$? -ne 77; then \
316               all=`expr $$all + 1`; \
317               case " $(XFAIL_TESTS) " in \
318               *$$ws$$tst$$ws*) \
319                 xfail=`expr $$xfail + 1`; \
320                 echo "XFAIL: $$tst"; \
321               ;; \
322               *) \
323                 failed=`expr $$failed + 1`; \
324                 echo "FAIL: $$tst"; \
325               ;; \
326               esac; \
327             else \
328               skip=`expr $$skip + 1`; \
329               echo "SKIP: $$tst"; \
330             fi; \
331           done; \
332           if test "$$failed" -eq 0; then \
333             if test "$$xfail" -eq 0; then \
334               banner="All $$all tests passed"; \
335             else \
336               banner="All $$all tests behaved as expected ($$xfail expected failures)"; \
337             fi; \
338           else \
339             if test "$$xpass" -eq 0; then \
340               banner="$$failed of $$all tests failed"; \
341             else \
342               banner="$$failed of $$all tests did not behave as expected ($$xpass unexpected passes)"; \
343             fi; \
344           fi; \
345           dashes="$$banner"; \
346           skipped=""; \
347           if test "$$skip" -ne 0; then \
348             skipped="($$skip tests were not run)"; \
349             test `echo "$$skipped" | wc -c` -le `echo "$$banner" | wc -c` || \
350               dashes="$$skipped"; \
351           fi; \
352           report=""; \
353           if test "$$failed" -ne 0 && test -n "$(PACKAGE_BUGREPORT)"; then \
354             report="Please report to $(PACKAGE_BUGREPORT)"; \
355             test `echo "$$report" | wc -c` -le `echo "$$banner" | wc -c` || \
356               dashes="$$report"; \
357           fi; \
358           dashes=`echo "$$dashes" | sed s/./=/g`; \
359           echo "$$dashes"; \
360           echo "$$banner"; \
361           test -z "$$skipped" || echo "$$skipped"; \
362           test -z "$$report" || echo "$$report"; \
363           echo "$$dashes"; \
364           test "$$failed" -eq 0; \
365         else :; fi
366
367 distdir: $(DISTFILES)
368         @srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
369         topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
370         list='$(DISTFILES)'; \
371           dist_files=`for file in $$list; do echo $$file; done | \
372           sed -e "s|^$$srcdirstrip/||;t" \
373               -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
374         case $$dist_files in \
375           */*) $(MKDIR_P) `echo "$$dist_files" | \
376                            sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \
377                            sort -u` ;; \
378         esac; \
379         for file in $$dist_files; do \
380           if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
381           if test -d $$d/$$file; then \
382             dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \
383             if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
384               cp -pR $(srcdir)/$$file $(distdir)$$dir || exit 1; \
385             fi; \
386             cp -pR $$d/$$file $(distdir)$$dir || exit 1; \
387           else \
388             test -f $(distdir)/$$file \
389             || cp -p $$d/$$file $(distdir)/$$file \
390             || exit 1; \
391           fi; \
392         done
393 check-am: all-am
394         $(MAKE) $(AM_MAKEFLAGS) check-TESTS
395 check: check-am
396 all-am: Makefile classnoinst.stamp
397 installdirs:
398 install: install-am
399 install-exec: install-exec-am
400 install-data: install-data-am
401 uninstall: uninstall-am
402
403 install-am: all-am
404         @$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
405
406 installcheck: installcheck-am
407 install-strip:
408         $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
409           install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
410           `test -z '$(STRIP)' || \
411             echo "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'"` install
412 mostlyclean-generic:
413
414 clean-generic:
415
416 distclean-generic:
417         -test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
418
419 maintainer-clean-generic:
420         @echo "This command is intended for maintainers to use"
421         @echo "it deletes files that may require special tools to rebuild."
422 clean: clean-am
423
424 clean-am: clean-generic clean-libtool clean-noinstJAVA mostlyclean-am
425
426 distclean: distclean-am
427         -rm -f Makefile
428 distclean-am: clean-am distclean-generic
429
430 dvi: dvi-am
431
432 dvi-am:
433
434 html: html-am
435
436 info: info-am
437
438 info-am:
439
440 install-data-am:
441
442 install-dvi: install-dvi-am
443
444 install-exec-am:
445
446 install-html: install-html-am
447
448 install-info: install-info-am
449
450 install-man:
451
452 install-pdf: install-pdf-am
453
454 install-ps: install-ps-am
455
456 installcheck-am:
457
458 maintainer-clean: maintainer-clean-am
459         -rm -f Makefile
460 maintainer-clean-am: distclean-am maintainer-clean-generic
461
462 mostlyclean: mostlyclean-am
463
464 mostlyclean-am: mostlyclean-generic mostlyclean-libtool
465
466 pdf: pdf-am
467
468 pdf-am:
469
470 ps: ps-am
471
472 ps-am:
473
474 uninstall-am:
475
476 .MAKE: install-am install-strip
477
478 .PHONY: all all-am check check-TESTS check-am clean clean-generic \
479         clean-libtool clean-noinstJAVA distclean distclean-generic \
480         distclean-libtool distdir dvi dvi-am html html-am info info-am \
481         install install-am install-data install-data-am install-dvi \
482         install-dvi-am install-exec install-exec-am install-html \
483         install-html-am install-info install-info-am install-man \
484         install-pdf install-pdf-am install-ps install-ps-am \
485         install-strip installcheck installcheck-am installdirs \
486         maintainer-clean maintainer-clean-generic mostlyclean \
487         mostlyclean-generic mostlyclean-libtool pdf pdf-am ps ps-am \
488         uninstall uninstall-am
489
490
491 # declare that we must recompile everything before lauching tests
492 $(TESTS): classnoinst.stamp
493
494 dist-files:
495         @for n in $(DISTFILES) ; do echo $(SRCFILE)$$n; done
496         @echo
497         @for n in $(DIST_SUBDIRS) ; do if [ x$$n != x. ] ; then $(MAKE) -C $$n dist-files SRCFILE=$(SRCFILE)$$n/ ; fi; done
498
499 # Cruft
500 # Tell versions [3.59,3.63) of GNU make to not export all variables.
501 # Otherwise a system limit (for SysV at least) may be exceeded.
502 .NOEXPORT: